View Issue Details

IDProjectCategoryView StatusLast Update
0032370Open CASCADEWebsite:Portalpublic2022-10-19 15:47
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeveritymajor 
Status assignedResolutionopen 
Target Version7.7.0 
Summary0032370: Website - cookies acceptance tooltips occupies too much space
DescriptionCookies acceptance tooltip occupies too much user space, which contradicts to the GDPR/EDPB guidelines suggesting that website content should be accessible to user regardless of his unwillingness to accept cookies.

https://gdpr.eu/cookies/
https://edpb.europa.eu/sites/edpb/files/files/file1/edpb_guidelines_202005_consent_en.pdf

In some cases Cookies Acceptance tooltip is the only thing user actually see while visiting Dev Portal site - so that user has no any clue if site content worth accepting any cookies and may leave site straight away.

OCCT portal is not a Facebook to bully new visitors in "accept or go away" style - it should be friendly to users just willing to download framework.

It is proposed redesigning cookies acceptance tooltip to implement low-intrusive style:
- Make tooltip much smaller in size, displaying at the corner a distinguishable, but not all-space-consuming suggestion, expanded to the whole text on click.
- Do not block nor gray out the main site content.
Steps To ReproduceAs discussed with Marketing, the cookies area will not be changed as the website works have already been accepted and there is no resources for it.
TagsNo tags attached.
Test case number

Attached Files

  • occt_dev_portal_cookies1.png (251,458 bytes)
  • occt_dev_portal_cookies2.png (230,552 bytes)

Activities

kgv

2021-05-14 10:31

developer  

occt_dev_portal_cookies1.png (251,458 bytes)

kgv

2021-05-14 10:31

developer  

occt_dev_portal_cookies2.png (230,552 bytes)

Vera Sdobnova

2021-05-18 18:42

administrator   ~0101156

As discussed with Marketing, the cookies area will not be changed as the website works have already been accepted and there is no resources for it.

kgv

2021-05-18 18:53

developer   ~0101157

Last edited: 2021-05-18 19:01

There is no point switching an evident bug into "RESOLVED" state, which obviously wasn't resolved.

epv

2021-05-18 18:59

reporter   ~0101158

May be due to this fact of fullscreen cookies area our site is not loaded correctly with Adblock Plus extension enabled in browser. Our site just shows OCCT style progress indicator.

Issue History

Date Modified Username Field Change
2021-05-14 10:31 kgv New Issue
2021-05-14 10:31 kgv Assigned To => Vera Sdobnova
2021-05-14 10:31 kgv File Added: occt_dev_portal_cookies1.png
2021-05-14 10:31 kgv File Added: occt_dev_portal_cookies2.png
2021-05-18 18:42 Vera Sdobnova Note Added: 0101156
2021-05-18 18:42 Vera Sdobnova Assigned To Vera Sdobnova => kgv
2021-05-18 18:42 Vera Sdobnova Assigned To kgv => bri
2021-05-18 18:42 Vera Sdobnova Status new => resolved
2021-05-18 18:42 Vera Sdobnova Steps to Reproduce Updated
2021-05-18 18:42 Vera Sdobnova Assigned To bri => kgv
2021-05-18 18:53 kgv Note Added: 0101157
2021-05-18 18:53 kgv Assigned To kgv => Vera Sdobnova
2021-05-18 18:53 kgv Status resolved => assigned
2021-05-18 18:59 epv Note Added: 0101158
2021-05-18 19:01 kgv Note Edited: 0101157
2021-05-18 19:02 kgv Assigned To Vera Sdobnova => kgv
2021-10-07 15:10 szy Target Version 7.6.0 => 7.7.0
2022-10-19 15:47 smoskvin Assigned To kgv => vpozdyayev